package com.youchain.appupdate.service;

import com.youchain.appupdate.ReturnJson.ReturnTaskVo;

import java.util.List;

public interface BydAppService {
    /**
     * 任务放行
     *
     * @param code 编号
     */
    void operationFeedback(String code);

    /**
     * 原材料入库
     *
     * @param stockCode 托盘
     * @param boxNumbers 箱号
     * @param pointCode 点位
     */
    void materialIn(String stockCode, List<String> boxNumbers, String pointCode);

    /**
     * 扫描托盘
     *
     * @param stockCode 托盘
     */
    ReturnTaskVo scanStock(String stockCode);

    /**
     * 翻包拣货
     *
     * @param taskId 任务ID
     * @param orderNumber 箱号
     * @param dstStockCode 目标托盘
     */
    void fbPicking(Long taskId, String orderNumber, String dstStockCode ,Double moveQty);

    /**
     * 解绑容器
     * @param stockCode 容器
     */
    void unBindContainer(String stockCode);


}
